Name:		libSDL_mixer
Version:	1.2.11
Release:	5.2%{?dist}

Summary:	Simple DirectMedia Layer - Sample Mixer Library
Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://www.libsdl.org/projects/SDL_mixer/
Source0:	http://www.libsdl.org/projects/SDL_mixer/release/SDL_mixer-%{version}.tar.gz
BuildRequires:	SDL-devel >= 1.2.10, libvorbis-devel, flac-devel
BuildRequires:	mikmod-devel >= 3.1.10, libsmpeg-devel
# Require these libs since we build it with dynamic load support.
Requires:	libvorbis, libmikmod, flac, libsmpeg
Provides:	SDL_mixer = %{version}-%{release}


%description
A simple multi-channel audio mixer library for SDL. It supports 4 channels
of 16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD, Timidity MIDI and Ogg Vorbis libraries.


%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel >= 1.2.10
Requires:	libvorbis-devel
Requires:	pkgconfig
Provides:	SDL_mixer-devel = %{version}-%{release}


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package -n SDL_mixer-utils
Summary:	Simple audio/video players using %{name}
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}


%description -n SDL_mixer-utils
This package contains two simple audio/video players using %{name}.


%prep
%setup -q -n SDL_mixer-%{version}


%build
%configure \
    --disable-dependency-tracking \
    --enable-static \
    --enable-shared \
    --enable-music-cmd \
    --enable-music-wave \
    --enable-music-mod \
    --enable-music-native-midi \
    --enable-music-ogg \
    --enable-music-flac \
    --enable-music-mp3
# Remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# Upstream bug for proper fixing of the lack of -lm:
# http://bugzilla.libsdl.org/show_bug.cgi?id=1010
make LDFLAGS=-lm


%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}" install-bin
mkdir _docs ; iconv -f ISO-8859-1 -t UTF-8 CHANGES > _docs/CHANGES


%clean
rm -rf %{buildroot}


%post -n %{name} -p /sbin/ldconfig


%postun -n %{name} -p /sbin/ldconfig


%files
%defattr(-,root,root,0755)
%doc README _docs/CHANGES COPYING
%{_libdir}/libSDL_mixer-1.2.so.0
%{_libdir}/libSDL_mixer-1.2.so.0.10.1


%files devel
%defattr(-,root,root,0755)
%{_libdir}/libSDL_mixer.so
%{_libdir}/libSDL_mixer.a
%{_libdir}/libSDL_mixer.la
%{_libdir}/pkgconfig/SDL_mixer.pc
%{_includedir}/SDL/SDL_mixer.h


%files -n SDL_mixer-utils
%defattr(-,root,root,0755)
%{_bindir}/playmus
%{_bindir}/playwave


%changelog
* Thu Dec 04 2014 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 1.2.11-5.2
- added SDL_mixer Provides for EPEL compatibility

* Sun Oct 02 2011 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 1.2.11-5.1
- spec-file imported from Fedora
- cleaned up spec-file
- split off apps into separate package

